main = ScriptThread("Chaotica")

include("../../internal/extensions/CScriptThread.lua")
include("ChaoticaGUI.lua")
include("ChaoticaScript.lua")

function PunishMentalMainInit()

	ChaoticaGUI.navButtons = {
	["menuOpen"]  = {["keys"] = {KEY_F10, KEY_NUMPAD7}, ["menu"] = "Chaotica"},    ---- THESE ARE THE CONTROLS YOU CAN CHANGE THEM AS YOU WISH
	["menuClose"] = {["keys"] = {}},
	["navUp"] 	  = {["keys"] = {KEY_NUMPAD8, KEY_UP}},
	["navDown"]   = {["keys"] = {KEY_NUMPAD2, KEY_DOWN}},
	["select"] 	  = {["keys"] = {KEY_NUMPAD5, KEY_RIGHT}},
	["navBack"]   = {["keys"] = {KEY_NUMPAD0, KEY_LEFT}}}
	---------------------------------------------------------------------------------------------END OF CUSTOMIZATION!
ChaoticaGUI.createMenu("Chaotica","","~b~Chaotica",0.92,0.04,0.180,0.05,0.00000,0.55,1)
ChaoticaGUI.addButton("Chaotica","~b~Peds",ChaoticaGUI.setActiveMenu,"PedTorment",false,0.30,0)
ChaoticaGUI.addButton("Chaotica","~b~Cars",ChaoticaGUI.setActiveMenu,"CarTorment",false,0.30,0)
ChaoticaGUI.addButton("Chaotica","~b~World",ChaoticaGUI.setActiveMenu,"WorldTorment",false,0.30,0)

ChaoticaGUI.createMenu("WorldTorment","Chaotica","~c~Chaotica",0.92,0.04,0.180,0.05,0.00000,0.55,1)
ChaoticaGUI.addButton("WorldTorment","~b~Purge V3",ChaoticaScript.PurgeToggle,nil,true,0.30,0)
ChaoticaGUI.addButton("WorldTorment","~b~Ped War V2",ChaoticaScript.NearbyWarToggle,nil,true,0.30,0)
ChaoticaGUI.addButton("WorldTorment","~b~Everyone Has Weapons",ChaoticaScript.EveryoneHasWeaponsToggle,nil,true,0.30,0)
ChaoticaGUI.addButton("WorldTorment","~b~Alien Invasion V2",ChaoticaScript.WarAliensToggle,nil,true,0.30,0)
ChaoticaGUI.addButton("WorldTorment","~b~Shotgun Zombie Invasion V2",ChaoticaScript.ZombieInvasionToggle,nil,true,0.30,0)
ChaoticaGUI.addButton("WorldTorment","~b~Asteroid Rain V4",ChaoticaScript.AsteroidRain,nil,true,0.30,0)
ChaoticaGUI.addButton("WorldTorment","~b~Ghost Town",ChaoticaScript.GhostTownToggle,nil,true,0.30,0)
ChaoticaGUI.addButton("WorldTorment","~b~Gravitron",ChaoticaScript.GravitronToggle,nil,true,0.30,0)
ChaoticaGUI.addButton("WorldTorment","~b~Gravitron Extreme",ChaoticaScript.GravBlasterToggle,nil,true,0.30,0)
ChaoticaGUI.addButton("WorldTorment","~b~Gravitron Mixed Up",ChaoticaScript.TeleportBombToggle,nil,true,0.30,0)
ChaoticaGUI.addButton("WorldTorment","~b~------------------PAGE 2------------------",ChaoticaGUI.setActiveMenu,"WorldTorment2",false,0.30,0)

ChaoticaGUI.createMenu("WorldTorment2","Chaotica","~c~Chaotica",0.92,0.04,0.180,0.05,0.00000,0.55,1)
ChaoticaGUI.addButton("WorldTorment2","~b~Aliens Vs Zombies",ChaoticaScript.WarAliensVsZombiesToggle,nil,true,0.30,0)
ChaoticaGUI.addButton("WorldTorment2","~b~Hood Vs Police",ChaoticaScript.WarHoodVsPoliceToggle,nil,true,0.30,0)


ChaoticaGUI.createMenu("PedTorment","Chaotica","~c~Chaotica",0.92,0.04,0.180,0.05,0.00000,0.55,1)
ChaoticaGUI.addButton("PedTorment","~b~Speed Up Nearby Peds",ChaoticaScript.SpeedUpNearbyPed,nil,true,0.30,0)
ChaoticaGUI.addButton("PedTorment","~b~Fly Up Nearby Peds",ChaoticaScript.FlyUpNearbyPed,nil,true,0.30,0)
ChaoticaGUI.addButton("PedTorment","~b~Fall Nearby Peds",ChaoticaScript.FallNearbyPed,nil,true,0.30,0)
ChaoticaGUI.addButton("PedTorment","~b~All Punishments",ChaoticaScript.AllThePunishmentsPed,nil,true,0.30,0)
ChaoticaGUI.addButton("PedTorment","~b~Kick Peds From Car",ChaoticaScript.KickFromCarPed,nil,true,0.30,0)
ChaoticaGUI.addButton("PedTorment","~b~Paint It Red",ChaoticaScript.PedBomberToggle,nil,true,0.30,0)
ChaoticaGUI.addButton("PedTorment","~b~Dancing!",ChaoticaScript.DancingChaoticaToggle,nil,true,0.30,0)
ChaoticaGUI.addButton("PedTorment","~b~Peds Love The Sky",ChaoticaScript.SkyFullOfPedsToggle,nil,true,0.30,0)

ChaoticaGUI.createMenu("CarTorment","Chaotica","~c~Chaotica",0.92,0.04,0.180,0.05,0.00000,0.55,1)
ChaoticaGUI.addButton("CarTorment","~b~Crush",ChaoticaScript.CrushNearby,nil,true,0.30,0)
ChaoticaGUI.addButton("CarTorment","~b~Pop Tires",ChaoticaScript.PopNearby,nil,true,0.30,0)
ChaoticaGUI.addButton("CarTorment","~b~Explode",ChaoticaScript.ExplodeNearby,nil,true,0.30,0)
ChaoticaGUI.addButton("CarTorment","~b~Speed Up",ChaoticaScript.SpeedUpNearby,nil,true,0.30,0)
ChaoticaGUI.addButton("CarTorment","~b~Fly Up",ChaoticaScript.FlyUpNearby,nil,true,0.30,0)
ChaoticaGUI.addButton("CarTorment","~b~Destroy",ChaoticaScript.DestroyNearby,nil,true,0.30,0)
ChaoticaGUI.addButton("CarTorment","~b~Disappear",ChaoticaScript.DisappearNearby,nil,true,0.30,0)
ChaoticaGUI.addButton("CarTorment","~b~Explosive Impact",ChaoticaScript.ExplosivesNearby,nil,true,0.30,0)
ChaoticaGUI.addButton("CarTorment","~b~Fall Trough Map",ChaoticaScript.FallNearby,nil,true,0.30,0)
ChaoticaGUI.addButton("CarTorment","~b~All Punishments",ChaoticaScript.AllThePunishments,nil,true,0.30,0)
ChaoticaGUI.addButton("CarTorment","~b~Upgrade",ChaoticaScript.UpgradeNearby,nil,true,0.30,0)
ChaoticaGUI.addButton("CarTorment","~b~Float When Hit",ChaoticaScript.FlyOffCarsWhenHitToggle,nil,true,0.30,0)

end

function main:Run()
	PunishMentalMainInit()
	ChaoticaScript.init()
	MenuTimer=nil
	while self:IsRunning()do
		if plyPed~=natives.PLAYER.PLAYER_PED_ID()then plyPed=natives.PLAYER.PLAYER_PED_ID()end
		if ply~=natives.PLAYER.PLAYER_ID()then ply=natives.PLAYER.PLAYER_ID()end
		if veh~=natives.PED.GET_VEHICLE_PED_IS_IN(plyPed,true)then veh=natives.PED.GET_VEHICLE_PED_IS_IN(plyPed,true)end
		if ChaoticaGUI.activeMenu=="Chaotica"or ChaoticaGUI.activeMenu=="WorldTorment"or ChaoticaGUI.activeMenu=="PedTorment"or ChaoticaGUI.activeMenu=="CarTorment"or ChaoticaGUI.activeMenu=="WorldTorment2"then
			if MenuTimer==nil or SavedMenuTimer==nil then
				MenuTimer=natives.TIME.GET_CLOCK_MINUTES()SavedMenuTimer=MenuTimer
			end
			if SavedMenuTimer+1<=natives.TIME.GET_CLOCK_MINUTES()then
				local a = ChaoticaGUI.activeMenu
				ChaoticaGUI.menu[a].title="~b~C~c~h~b~a~c~o~b~t~c~i~b~c~c~a"
				if SavedMenuTimer+2<=natives.TIME.GET_CLOCK_MINUTES()then 
					ChaoticaGUI.menu[a].title="~c~C~b~h~c~a~b~o~c~t~b~i~c~c~b~a"
				end 
				if SavedMenuTimer+3<=natives.TIME.GET_CLOCK_MINUTES()then ChaoticaGUI.menu[a].title="~c~By:~b~Sod"
					MenuTimer=nil
				end
			end
		end
		ChaoticaGUI.tick()
		ChaoticaScript.tick()
		
		self:Wait(0)
	end 
end
function main:OnError()self:Kill()addon.Load("Insanity")end;main:Register()


	